// 
// Localization strings for TTDPatch.
// 

// -------------------------------------------
// INFO ABOUT THIS LANGUAGE
// -------------------------------------------
SETNAME("Russian")
SETCODE("ru")
COUNTRYARRAY(countries) = { 7, 0, 0x19, 0 };
SETARRAY(countries);
	// 7 is Russia, 0x19 is Russian in Windows

DOSCODEPAGE(866)	// The default DOS code page for this language
WINCODEPAGE(1251)	// The default Windows code page for this language
EDITORCODEPAGE(1251)	// The code page of all strings in this file.

DOSENCODING(IBM866)	// Encoding type for XML output from DOS and Windows;
WINENCODING(ISO-8859-5)	// DOS MUST be from IANA-CHARSETS and same as DOSCODEPAGE
			// Windows can be any ISO-8859-x encoding, doesn't have
			// to be related to WINCODEPAGE

// -------------------------------------------
// PROGRAM BLURBS
// -------------------------------------------

// First line of output is something like "TTDPatch V1.5.1 starting.\n"
// The program name and version are autogenerated, only put the " starting\n"
// here
SETTEXT(LANG_STARTING, " .\n")


// -------------------------------------------
// VERSION CHECKING
// -------------------------------------------

// In the version identifier, this is for the file size
SETTEXT(LANG_SIZE, "")

// Shown if the version is recognized
SETTEXT(LANG_KNOWNVERSION, "    .\n")

// Warning if the version isn't recognized.  Be sure *not* to use tabs
// in the text.  All but the last lines should end in ...\n"
SETTEXT(LANG_WRONGVERSION, "\n"
	"!       .   \n"
	"            ,        \n"
	"          .             \n"
	"           .\n"
	"\n"
	"                         \n"
	"                   \n"
	"          .      \n"
	"          TTDPatch,  \"Version Trouble\".\n"
	"\n"
	" 'Y'   ,       .  ,\n"
	"                           .\n"
	"\n"
	"       ? ")

// Keys which continue loading after the above warning. *MUST* be lower case.
// can be several different keys, e.g. one for your language "yjo"
SETTEXT(LANG_YESKEYS, "y")

// Answering anything but the above keys gives this message.
SETTEXT(LANG_ABORTLOAD, "   .\n")

// otherwise continue loading
SETTEXT(LANG_CONTINUELOAD, "    ...\n")

// Warning if '-y' was used and the version is unknown
SETTEXT(LANG_WARNVERSION, "!  !\n")


// -------------------------------------------
//   CREATING AND PATCHING TTDLOAD
// -------------------------------------------

// TTDLOAD.OVL doesn't exist
SETTEXT(LANG_OVLNOTFOUND, "  ,    :\n")

// neither do the original files (two %s are two filenames)
SETTEXT(LANG_NOFILESFOUND, " %s  %s  .\n")

// default Windows language executable (american/english/french/german/spanish).exe
SETTEXT(LANG_WINDEFLANGEXE, "AMERICAN.EXE");

// Shown when copying tycoon.exe or ttdx.exe (first %s) to ttdload.ovl (2nd %s)
SETTEXT(LANG_SHOWCOPYING, "  %s  %s")

// Error if running the copy command fails.  %s is the command.
SETTEXT(LANG_COPYERROR_RUN, "   %s\n")

// Error if command returned successfully, but nothing was copied.
// %s=TTDLOAD.OVL
SETTEXT(LANG_COPYERROR_NOEXIST, "  -  %s  .\n")

// Invalid .EXE format
SETTEXT(LANG_INVALIDEXE, "  .EXE .\n")

// Version could not be determined
SETTEXT(LANG_VERSIONUNCONFIRMED, "     .\n")

// Shows program name (1st %s) and version (2nd %s)
SETTEXT(LANG_PROGANDVER, " : '%s'\n : %s\n")

// More than three numbers in the version string (not #.#.#)
SETTEXT(LANG_TOOMANYNUMBERS, "   !\n")

// .EXE is not TTD
SETTEXT(LANG_WRONGPROGRAM, "  'Transport Tycoon Deluxe'.\n")

// Displays the parsed version number
SETTEXT(LANG_PARSEDVERSION, " : %s\n")

// The exe has been determined to be the DOS extended executable
SETTEXT(LANG_ISDOSEXTEXE, "   -    DOS.\n")

// The exe has been determined to be the Windows executable
SETTEXT(LANG_ISWINDOWSEXE, "   -  Windows.\n")

// The exe is of an unknown type
SETTEXT(LANG_ISUNKNOWNEXE, "    .\n")

// The exe is the wrong one for this TTDPatch, i.e. DOS/Windows mixed up.
// %s=DOS or Windows
SETTEXT(LANG_NOTSUPPORTED, " ,   TTDPatch      %s.\n")

// If the original .exe segment length (%lx) is too large or too small
SETTEXT(LANG_INVALIDSEGMENTLEN, "    : %lx")

// When increasing the segment length
SETTEXT(LANG_INCREASECODELENGTH, "    %sMB.\n")

// Can't write to TTDLOAD.OVL (%s) [or TTDLOADW.OVL for the Windows version]
SETTEXT(LANG_WRITEERROR, "    %s,    ' '.\n")

// Installing the code loeader
SETTEXT(LANG_INSTALLLOADER, "  .\n")

// TTDLOAD.OVL (%s) is invalid, needs to be deleted.
SETTEXT(LANG_TTDLOADINVALID, "    ")

// Suggestion to delete TTDLOAD.OVL (%s) if it is invalid
SETTEXT(LANG_DELETEOVL, " -   %s.\n")

// TTDLOAD.OVL was verified to be correct
SETTEXT(LANG_TTDLOADOK, "%s  .\n")
 
// Waiting for key before terminating TTDPatch after an error occured
SETTEXT(LANG_PRESSANYKEY, "    ")

// Displayed on various warning conditions: Esc to exit, any other key to continue
SETTEXT(LANG_PRESSESCTOEXIT, " Escape,      ,  ")

// Loading custom in-game texts
SETTEXT(LANG_LOADCUSTOMTEXTS, "   .\n")

// ttdpttxt.dat is not in a valid format
SETTEXT(LANG_CUSTOMTXTINVALID, " %s:   .\n")

SETTEXT(LANG_CUSTOMTXTWRONGVER,
        "%s       TTDPatch.\n"
        ",     mkpttxt.exe   .\n")

// -----------------------------------------------
//  COMMAND LINE HELP (-h)
// -----------------------------------------------

// Introduction, prefixed with "TTDPATCH V<version> - "
SETTEXT(LANG_COMMANDLINEHELP, " TTD     %s\n"
	  "\n"
	  ": TTDPATCH [-C cfg-] [] [  CD] [-W cfg-]\n"
	  "\n")

// Lines of help for all on/off switches, each at most 38 chars long.
// If you need more chars just insert another line.
TEXTARRAY(halflines,) =
	{ "-a:     -x",
	  "-d:     ",
	  "-g:    ",
	  "-k:    ",
	  "-J:     ",
	  "-l:   /   7x7",
	  "-n:     ",
	  "-q:     ",
	  "-s:  Cheat-   ",
	  "-u:   ",
	  "-Xo:  Cheat-",
	  "-Xp:   ",
	  "-v:    ",
	  "-w:   ",
	  "-Xw:  ",
	  "-Xx:    . ",
	  "-z:    (126 )",
	  "-f:    ",
	  "-y:    ",
          "-E:     ",
	  "-F:      ",
	  "-G:     ",
	  "-H:     ",
	  "-B:   ",
	  "-D:   ",
	  "-I:   ",
	  "-L:   /  \"Ctrl\"",
          "-N:      ",
	  "-O:     ",
	  "-P:     ",
	  "-R:     ",
          "-S:    ",
	  "-T:    ",
	  "-2:    Windows 2000/XP",
	  "-Xb:  \"\"  ",
          "-Xd:  \"\"  ",
	  "-Xe:    2070",
	  "-Xf:   ",
          "-Xg:   ",
	  "-Xh:   ",
	  "-Xi:  ..  . ",
	  "-Xl:   ",
	  "-Xr:   TTDPATCH.OVL",
	  "-Xs:     ",
	  "-Xm:  \"\"  . ",
          "-XA:    -Xa",
	  "-XB:   ",
	  "-XE:  /",
	  "-XF:  ",
	  "-XG:    ",
	  "-XH: .+.  ",
	  "-XI:  ",
	  "-XL:     ",
	  "-XO: / ",
	  "-XP:   ",
	  "-XR:   ",
          "-XS:   AI-",
	  "-XZ:    (2,5 )",
	  "-Ya:     ",
	  "-Yb:   ",
	  "-Yc:  /   ",
	  "-Yd:  ",
	  "-Yg:   ",
	  "-Yh:  ",
	  "-Ym:    /",
	  "-Yn:  ",
	  "-Ys:     ",
	  "-Yt:     ",
	  "-Yw:    ",
	  "-YC:   ",
	  "-YD:   ",
	  "-YF:  FIFO",
	  "-YH: /  ",
	  "-YL:   ",
	  "-YN:   ",
	  "-YP:    ",
	  "-YS:   1975 ",

	  NULL
      };
SETARRAY(halflines);

// Text describing the switches with values.  The lines have to be shorter
// than 79 chars, excluding the "\n".  Start new lines if necessary.
SETTEXT(LANG_FULLSWITCHES, "\n"
	  "-e #:        \n"
	  "-i #:        ' '\n"
	  "-x #:                 850*#.   \n"
	  "         !\n"
	  "-mc #:           .\n"
	  "-trpb #:    ,  ,     \n"
	  "         .\n"
	  "-M #:     ,    .\n"
	  "-U #:         locomotion. 1-   ctrl.\n"
	  "-Xa #:            #  \n"
	  "            \n"
	  "-Xc #:     \n"
	  "-Yr #:      /   (1/2)\n"
	  "-Xt #:       \n"
	  "-Xv #:         \n"
	  "-Xz #:    \n"
	  "-XC #:         \n"
          "-XD #:     ,   \n"
	  "-XN #:       \n"
	  "-XM #:       / \n"
	  "-XT #:         ' #-'\n"
	  "-XX #:         / \n"
          "               \n"
	  "-XY #:     ' '   \n"
	  "-XW #:     (  ,  Windows )\n"
          "-X1 #, -X2 #:   ,    \n"
          "                 ,    \n"
          "                 \n"
	  "-Yf #:           \n"
	  "-Yl #:      ( Windows )\n"
	  "-Yo #:       \n"
          "         (. )\n"
	  "-Yp #:      ,   \n"
	  "-YA #:     ,  \n"
	  "-YB #:     ,    \n"
	  "-YE #:           \n"
	  "-YM #:       ,  \n"
	  "-YG #:     ,   \n"
	  "-YO #:        ,    \n"
	  "-YR #:      # \n"
	  "-YT #:      \n"
	  "-YW #:     \n"
	  "\n"
	  "-C cfg-file:       ttdpatch.cfg\n"
	  "-W cfg-file:        \n"
	  "-Xn cfg-file:        \n"
	  "\n"
	  "       , :\n"
	  "\"ttdpatch -h|more\"\n"
	  "\n"
	  ",        !\n"
	  "\n"
	  ": ttdpatch -fnqz -m 00 -c 13 -trpb 240 -FG -A 2 -v\n"
	  "\n")

// Referral to the docs, prefixed by "Copyright (C) 1999 by Josef Drexler.  "
SETTEXT(LANG_HELPTRAILER, "\n   (C) 2000-2003  .\n"
	  "(C) 2006   TTD Russia - http://forums.ttdrussia.net/\n")


// -----------------------------------------------
// COMMAND LINE AND CONFIG FILE PARSING
// -----------------------------------------------

// if an on/off switch has a value other than the above (%s = wrong value)
SETTEXT(LANG_UNKNOWNSTATE, ":  /  - %s,   .\n")

// switch is unknown.  %c is '-' or '/' etc, %s is the switch char
SETTEXT(LANG_UNKNOWNSWITCH, "  '%c%s'.   -h  .\n")

// switch bit name is unknown.  First %s is bit name, 2nd is switch name
SETTEXT(LANG_UNKNOWNSWITCHBIT, "  '%s'     '%s'.\n")

// cfg command %s is unknown
SETTEXT(LANG_UNKNOWNCFGLINE, ":   cfg-: '%s'.\n")

// Names of the switches for the '-v' options
// First string is shown always, second only if set and with the given
// value of the switch in %d.
// These lines (both parts) are limited to 36 chars, also consider how large
// the expansion of the %d can be for that switch.
SWITCHTEXT(uselargerarray, " . ", "  %d*850")
SWITCHTEXT(usenewcurves, "  ", " - %04x")
SWITCHTEXT(usenewmountain, "  ", " - %04x")
SWITCHTEXT(usenewnonstop, " ", "")
SWITCHTEXT(increasetraincount, " ", ": %d")
SWITCHTEXT(increaservcount, " ", ": %d")
SWITCHTEXT(setnewservinterval, " ", ": %d ")
SWITCHTEXT(usesigncheat, " cheat-", "")
SWITCHTEXT(allowtrainrefit, " ", "")
SWITCHTEXT(increaseplanecount, " ", ": %d")
SWITCHTEXT(increaseshipcount, " ", ": %d")
SWITCHTEXT(keepsmallairports, "  ", "")
SWITCHTEXT(largerstations, " ", "  %d ")
SWITCHTEXT(morestationtracks, " ", "")
SWITCHTEXT(longerbridges, "  ", "")
SWITCHTEXT(improvedloadtimes, "  ", "")
SWITCHTEXT(mammothtrains, "  ( 127)", "")
SWITCHTEXT(presignals, " ", "")
SWITCHTEXT(officefood, "   ", "")
SWITCHTEXT(noinflation, " ", "")
SWITCHTEXT(maxloanwithctrl, ". /  ctrl", "")
SWITCHTEXT(persistentengines, ".   ", "")
SWITCHTEXT(fullloadany, "   ", "")
SWITCHTEXT(selectstationgoods, "   ", "  %d ")
SWITCHTEXT(morethingsremovable, " ", "")
SWITCHTEXT(multihead, " ", "")
SWITCHTEXT(newlineup, "   ", "")
SWITCHTEXT(lowmemory, "   (2,5 )", "")
SWITCHTEXT(generalfixes, "  (. .)", "")
SWITCHTEXT(moreairports, "   ", "")
SWITCHTEXT(bribe, "  ", "")
SWITCHTEXT(noplanecrashes, " ", ": %d")
SWITCHTEXT(showspeed, "   ", "")
SWITCHTEXT(autorenew, " ", "  %d ")
SWITCHTEXT(cheatscost, " Cheat-", "")
SWITCHTEXT(extpresignals, "   'Ctrl'", "")
SWITCHTEXT(diskmenu, " ''   ", "")
SWITCHTEXT(win2k, "  Windows 2000", "")
SWITCHTEXT(feederservice, "  ", "")
SWITCHTEXT(gotodepot, "   ", "")
SWITCHTEXT(newships, "  ", "")
SWITCHTEXT(subsidiaries, "  AI-", "")
SWITCHTEXT(gradualloading, "  ", "")
SWITCHTEXT(moveerrorpopup, "   ", "")
SWITCHTEXT(setsignal1waittime, "   ", ":")
SWITCHTEXT(setsignal2waittime, "", "")				// dummy entry
SWITCHTEXT(maskdisasters, " ", ": %d")
SWITCHTEXT(forceautorenew, "  ", "")
SWITCHTEXT(morenews, "   ", "")
SWITCHTEXT(unifiedmaglev, " . ", ",  %d")
SWITCHTEXT(newbridgespeeds, ".   . ", ": %d%%")
SWITCHTEXT(eternalgame, "   2070", "")
SWITCHTEXT(showfulldate, "   ", "")
SWITCHTEXT(newtrains, "  ", "")
SWITCHTEXT(newrvs, "  ", "")
SWITCHTEXT(newplanes, "  ", "")
SWITCHTEXT(signalsontrafficside, "/     ", "")
SWITCHTEXT(electrifiedrail, " /", "")
SWITCHTEXT(newstartyear, "  ' '", ": %d")
SWITCHTEXT(newerrorpopuptime, "   ", ": %d ")
SWITCHTEXT(newtowngrowthfactor, "   ", "  %d")
SWITCHTEXT(largertowns, "", " %d   ")
SWITCHTEXT(miscmods, "  ", ": %ld")
SWITCHTEXT(loadallgraphics, "   ", "")
SWITCHTEXT(saveoptdata, "    ", "")
SWITCHTEXT(morebuildoptions, "  ", ": %d")
SWITCHTEXT(semaphoresignals, "  1975 ", "")
SWITCHTEXT(morehotkeys, "/ ' '", "")
SWITCHTEXT(plantmanytrees, "  ", ": %d")
SWITCHTEXT(morecurrencies, "  ", ", : %d")
SWITCHTEXT(manualconvert, "   / ", "")
SWITCHTEXT(newtowngrowthrate, "   ", ": %d")
SWITCHTEXT(displmoretownstats, "    ", "")
SWITCHTEXT(enhancegui, "  ", "")
SWITCHTEXT(newagerating, "    ", "")
SWITCHTEXT(buildonslopes, "  /", "")
SWITCHTEXT(buildoncoasts, "  ", "")
SWITCHTEXT(experimentalfeatures, "  ", ": %u")
SWITCHTEXT(tracktypecostdiff, " /   ", "")
SWITCHTEXT(planespeed, "  ", ": %d/4")
SWITCHTEXT(fastwagonsell, "  ", "")
SWITCHTEXT(newrvcrash, "  ","   %d")
SWITCHTEXT(stableindustry, "  ","")
SWITCHTEXT(newperformance, "  ", "")
SWITCHTEXT(sortvehlist, "   ", ", : %d")
SWITCHTEXT(showprofitinlist, "     ", "")
SWITCHTEXT(newspapercolour, "  ()", "  %d ")
SWITCHTEXT(sharedorders, " / ", "")
SWITCHTEXT(moresteam, "   ", ": %x")
SWITCHTEXT(abandonedroads, ".   ", ",  %d")
SWITCHTEXT(newstations, "   ", "")
SWITCHTEXT(buildwhilepaused, "   ", "")
SWITCHTEXT(losttrains, "   ", "  %d ")
SWITCHTEXT(lostrvs, "    ", "  %d ")
SWITCHTEXT(lostships, "   ", "  %d ")
SWITCHTEXT(lostaircraft, "   ", "  %d ")
SWITCHTEXT(maprefresh, "  ", ": %d ")
SWITCHTEXT(disconnectontimeout, "     ", "   %d .")
SWITCHTEXT(moretoylandfeatures, "    toyland", ": %d")
SWITCHTEXT(stretchwindow, "  TTD", "  %d ")
SWITCHTEXT(canals, "    ", "")
SWITCHTEXT(higherbridges, "  ", "")
SWITCHTEXT(gamespeed, "  ", ",   %d")
SWITCHTEXT(freighttrains, "   ", " (x%d)")
SWITCHTEXT(mousewheel, "  ",", : %d")
SWITCHTEXT(morewindows, "  ", "  %d")
SWITCHTEXT(enhanceddiffsettings, "  ", "")
SWITCHTEXT(newbridges, " ", "")
SWITCHTEXT(newhouses, "  ", "")
SWITCHTEXT(newtownnames,"  ","")
SWITCHTEXT(moreanimation,"  ",",  %d")
SWITCHTEXT(newshistory, " ", "")
SWITCHTEXT(wagonspeedlimits, "   ", "")
SWITCHTEXT(pathbasedsignalling, "     (PBS)", "")
SWITCHTEXT(aichoosechances, "  ,     ", "")
SWITCHTEXT(custombridgeheads, "   ", "")
SWITCHTEXT(townbuildnoroads, "   ", "")
SWITCHTEXT(newcargodistribution, "    ", "")
SWITCHTEXT(windowsnap, " ", "    %d ")
SWITCHTEXT(resolutionwidth, " ", " %d ")
SWITCHTEXT(resolutionheight, " ", " %d ")
SWITCHTEXT(newindustries, " ", "")
SWITCHTEXT(locomotiongui, "    locomotion", "")
SWITCHTEXT(fifoloading, " FIFO", "");
SWITCHTEXT(tempsnowline, "      ", "")
SWITCHTEXT(townroadbranchprob, "    ", "  %d")
SWITCHTEXT(newcargos, " ", "")
SWITCHTEXT(enhancemultiplayer, " ( 2- ) ", "")
SWITCHTEXT(newsounds, " ", "")
SWITCHTEXT(morestats, " ", "")
SWITCHTEXT(onewayroads, "   'Ctrl'", "")
SWITCHTEXT(irrstations, " ", "")
SWITCHTEXT(autoreplace, "  ", "; %d%%     ")
SWITCHTEXT(autoslope, "     ", "")
SWITCHTEXT(followvehicle, "     ", "")
SWITCHTEXT(trams, "", "")
SWITCHTEXT(enhancetunnels, "    ", "")
SWITCHTEXT(forcegameoptions, "    ","")

//---------------------------------------
//  BIT SWITCH DESCRIPTIONS
//---------------------------------------

// Description for noplanecrashes bits
BITSWITCH(noplanecrashes)
BIT(normdis,      "   ,   ")
BIT(jetsdis,      "      ,   ")
BIT(normbrdown,   "       ,  * 4")
BIT(jetssamerate, "       ,       ")
BIT(normoff,      "   ")
BIT(jetsoff,      "      ")

// Description for miscmods bits
BITSWITCH(miscmods)
BIT(nobuildonbanks,        "     ")
BIT(servintonlyhuman,      " servint ( )     ")
BIT(noroadtakeover,        "         ")
BIT(gradualloadbywagon,    "     ")
BIT(dontfixlitres,         "     1000    1   1000 ")
BIT(dontfixtropicbanks,    "    - ")
BIT(dontfixhousesprites,   "        ")
BIT(oldtownterrmodlimit,   "       ")
BIT(nozeppelinonlargeap,   "     ")
BIT(nodefaultoldtracktype, "        ")
BIT(usevehnnumbernotname,  "        ")
BIT(norescalecompanygraph, "    ,    ")
BIT(noyearlyfinances,      "      ")
BIT(notimegiveaway,        "    ,   ")
BIT(nodesynchwarning,      " ,     ")
BIT(noworldedgeflooding,   "    ")
BIT(doshowintro,           "   (  )")
BIT(nonewspritesorter,     "     ")
BIT(nodiagonalflooding,    "     ")
BIT(noenhancedcomp,        "     ")
BIT(breakdownatsignal,     "   ,      ")
BIT(smallspritelimit,      "   ")
BIT(displaytownsize,       "    ")
BIT(noextendstationrange,  "         ,      ")
BIT(nooldvehiclenews,      "  ,   ")
BIT(dontfixpaymentgraph,   "   X       ")
BIT(loaduntilgreen,        "     ,      ")
BIT(dontshowaltitude,      "      ")
BIT(nogrfidsinscreenshots, "   grfids   (  )")
BIT(dontchangesnow,        "    ")

// Description for morebuildoptions bits
BITSWITCH(morebuildoptions)
BIT(ctunnel,         "  ")
BIT(oilrefinery,     "     ")
BIT(moreindustries,  "        ")
BIT(removeobjects,   "  ,   ")
BIT(removeindustry,  "  ")
BIT(closeindustries, "          ")
BIT(enhancedbuoys,   "      ()")
BIT(bulldozesignals, "    ")

// Description for experimentalfeatures bits
BITSWITCH(experimentalfeatures)
BIT(slowcrossing, "   ")
BIT(cooperative,  " ,  ")
BIT(mandatorygrm, "   GRF   .grf ")

// Description for maskdisasters bits
BITSWITCH(maskdisasters)
BIT(zeppelincrash,      "  ")
BIT(smallufo,           "  ")
BIT(refineryexplosion,  "   ")
BIT(factoryexplosion,   "   ")
BIT(largeufo,           "  ")
BIT(smallsubmarine,     "   ")
BIT(largesubmarine,     "   ")
BIT(coalminesubsidence, "      ")

// Description for mousewheel bits
BITSWITCH(mousewheel)
BIT(cursorzoom, "       ")
BIT(safezoom,   "      ")
BIT(legacy,     "        (    )")

// Description for plantmanytrees bits
BITSWITCH(plantmanytrees)
BIT(morethanonepersquare,   "      ")
BIT(rectangular,            "    ,   'Ctrl'")
BIT(morethanonerectangular, "         ")

// Description for moretoylandfeatures bits
BITSWITCH(moretoylandfeatures)
BIT(lighthouses, "        (Toyland)")
BIT(woodlands,   "   ( )    (Toyland)")

// Description for locomotiongui bits
BITSWITCH(locomotiongui)
BIT(usenewgui,      "    ")
BIT(defaultnewgui,  "       (  ,          ctrl,      ctrl      )")
BIT(defaultstation, "        locomotion.")

// Description for pathbasedsignalling bits
BITSWITCH(pathbasedsignalling)
BIT(autoconvertpresig,    " -,          (PBS )")
BIT(manualpbssig,         "       (PBS )")
BIT(preservemanualpresig, "            ( PBS)")
BIT(showreservedpath,     "     ")
BIT(shownonjunctionpath,  "      ")
BIT(allowunsafejunction,  "         (PBS )")
BIT(allowunsafereverse,   "       ")

// Description for newsounds bits
BITSWITCH(newsounds)
BIT(highfrequency, "(  DOS )    22KHz     11KHz.    22KHz .")

// Description for morecurrencies bits
BITSWITCH(morecurrencies)
BIT(symbefore, "     ")
BIT(symafter,  "     ")
BIT(noeuro,    "  ")
BIT(comma,     "     ")
BIT(period,    "     ")

// Description for forcegameoptions bits
BITSWITCH(forcegameoptions)
BIT(trafficleft,	"    ")
BIT(trafficright,	"    ")
BIT(imperial,		"  ()   ")
BIT(metric,		"  ()   ")
BIT(townsenglish,	"    ")
BIT(townsfrench,	"    ")
BIT(townsgerman,	"    ")
BIT(townsamerican,	"    ")
BIT(townslatin,		" -   ")
BIT(townssilly,		"    ")
BIT(autosavedisabled,	" ")
BIT(autosave3months,	"   3 ")
BIT(autosave6months,	"   6 ")
BIT(autosave12months,	"   12 ")



// A cfg file (%s) could not be found and is ignored.
SETTEXT(LANG_CFGFILENOTFOUND, "cfg- %s  .  .\n")

// Couldn't write the config file
SETTEXT(LANG_CFGFILENOTWRITABLE, " %s    .\n")

// A non-comment line is longer than 32 chars, rest ignored.
SETTEXT(LANG_CFGLINETOOLONG, "!    32 , .\n")

// Shown if an obsolete switch is used. First option is %s which is the
// config name, second one is %s which is the command line char
SETTEXT(LANG_SWITCHOBSOLETE, " `%s' (%s)   . ,   ,\n"
	     "       .\n")

// ---------------------------------------------------
//  CONFIG FILE COMMENTS (for '-W')
// ---------------------------------------------------

// This is the intro at the start of the config file.  No constraints on line lengths.
SETTEXT(CFG_INTRO,
	CFG_COMMENT "\n"
	CFG_COMMENT "  TTDPatch,    TTDPatch -W\n"
	CFG_COMMENT "(TTDPatch %s)\n"
	CFG_COMMENT "\n"
	CFG_COMMENT " :\n"
	CFG_COMMENT "    = \n"
	CFG_COMMENT "\n"
	CFG_COMMENT " \"=\"   ,       \n"
	CFG_COMMENT "    ,   .\n"
	CFG_COMMENT "\n"
	CFG_COMMENT "    yes/no [y/n]     :\n"
	CFG_COMMENT "   yes, y, on, 1 -   \n"
	CFG_COMMENT "   no, n, off, 0 -   \n"
	CFG_COMMENT "    ,     yes.\n"
	CFG_COMMENT "\n"
	CFG_COMMENT "      [v]   \n"
	CFG_COMMENT "    .     . \n"
	CFG_COMMENT "      'off'.\n"
	CFG_COMMENT "\n"
	CFG_COMMENT "        .\n"
	CFG_COMMENT "\n")

// Line before previously unset switches
SETTEXT(CFG_NEWSWITCHINTRO, "****   ****")

// For switches which have no command line equivalent
SETTEXT(CFG_NOCMDLINE, "   ")

// 
// All can have a place holder %s to stand for the actual setting name,
// and all but CFG_CDPATH can have a %s *after* the %s for the command
// line switch.
// They will have the "comment" char and a space prefixed.
// 
SETTEXT(CFG_SHIPS, "`%s' (%s)     .\n//  - %ld..%ld.   %ld")
SETTEXT(CFG_CURVES, "`%s' (%s)     \n//   (0),  (1),   (2)   (3).\n//      /, ,  /\n//  .   0120")
SETTEXT(CFG_MOUNTAINS, "`%s' (%s)     \n//   (0),  (1),   (2)   (3).\n//      /, ,  /\n//  .   0120")
SETTEXT(CFG_SPREAD, "`%s' (%s)   ,    \n// .  - %ld..%ld.   %ld")
SETTEXT(CFG_TRAINREFIT, "`%s' (%s)      \n//  , ,      ")
SETTEXT(CFG_SERVINT, "`%s' (%s)       .\n//  - %ld..%ld.   %ld")
SETTEXT(CFG_NOINFLATION, "`%s' (%s)      ,    ")
SETTEXT(CFG_LARGESTATIONS, "`%s' (%s)    /  4x7  7x5")
SETTEXT(CFG_NONSTOP, "`%s' (%s)     ")
SETTEXT(CFG_PLANES, "`%s' (%s)    .\n//  - %ld..%ld.   %ld")
SETTEXT(CFG_LOADTIME, "`%s' (%s)      \n// ")
SETTEXT(CFG_ROADVEHS, "`%s' (%s)    .\n//  - %ld..%ld.   %ld")
SETTEXT(CFG_SIGNCHEATS, "`%s' (%s)   cheat-   ")
SETTEXT(CFG_TRAINS, "`%s' (%s)    .  - %ld..%ld.\n//   %ld")
// *#define CFG_PLAYERS "`%s' (-%s) set the players to be affected by the cheats.  A list of players from 0..7"
SETTEXT(CFG_VERBOSE, "`%s' (%s)       TTD")
SETTEXT(CFG_PRESIGNALS, "`%s' (%s)     \n//   / ")
SETTEXT(CFG_MOREVEHICLES, "`%s' (%s)    \n//       ''*850.\n//  - %ld..%ld.   %ld")
SETTEXT(CFG_MAMMOTHTRAINS, "`%s' (%s)      126 ")
SETTEXT(CFG_FULLLOADANY, "`%s' (%s)       \n//  ")
SETTEXT(CFG_SELECTGOODS, "`%s' (%s)        ,\n//       ,      ,   .   2 ,     .  : %ld..%ld.   : %ld.")
SETTEXT(CFG_DEBTMAX, "`%s' (%s)  /   \n//     Ctrl")
SETTEXT(CFG_OFFICEFOOD, "`%s' (%s)      (\n//    )")
SETTEXT(CFG_ENGINESPERSIST, "`%s' (%s)     \n//    ,    ")
SETTEXT(CFG_CDPATH, "`%s' (%s)    -")
// 
SETTEXT(CFG_KEEPSMALLAP, "`%s' (%s)     \n//  ")
SETTEXT(CFG_LONGBRIDGES, "`%s' (%s)       127\n// ")
SETTEXT(CFG_DYNAMITE, "`%s' (%s)      ")
SETTEXT(CFG_MULTIHEAD, "`%s' (%s)      ,\n//        'Ctrl'")
SETTEXT(CFG_RVQUEUEING, "`%s' (%s)    ,  ")
SETTEXT(CFG_LOWMEMORY, "`%s' (%s)   TTDPatch    3.5 ")
SETTEXT(CFG_GENERALFIXES, "`%s' (%s)    , . ,\n//     ")
SETTEXT(CFG_MOREAIRPORTS, "`%s' (%s)      \n//  ")
SETTEXT(CFG_BRIBE, "`%s' (%s)   ''     ")
SETTEXT(CFG_PLANECRCTRL, "`%s' (%s)   .\n//  ,   - 1")
SETTEXT(CFG_SHOWSPEED, "`%s' (%s)     \n//     ")
SETTEXT(CFG_AUTORENEW, "`%s' (%s)     \n//       .\n//  %ld..%ld.   %ld")
SETTEXT(CFG_CHEATSCOST, "`%s' (%s)    Cheat-  ")
SETTEXT(CFG_EXTPRESIGNALS, "`%s' (%s)     'Ctrl'\n//    , ,\n//   ")
SETTEXT(CFG_FORCEREBUILDOVL, "`%s' (%s)     TTDLOAD.OVL\n//  TTDLOADW.OVL    ")
SETTEXT(CFG_DISKMENU, "`%s' (%s)   ''   ,  \n//     (  \n//   'Ctrl')\n//        ")
SETTEXT(CFG_WIN2K, "`%s' (%s)  Windows-  TTD  \n//  Windows 2000/XP")
SETTEXT(CFG_FEEDERSERVICE, "`%s' (%s)    \n//    ,     ")
SETTEXT(CFG_GOTODEPOT, "`%s' (%s)   ''    ")
SETTEXT(CFG_NEWSHIPS, "`%s' (%s)       ")
SETTEXT(CFG_SUBSIDIARIES, "`%s' (%s)    AI-,  \n//  75%% ")
SETTEXT(CFG_GRADUALLOADING, "`%s' (%s)      \n//    (   `loadtime')")
SETTEXT(CFG_MOVEERRORPOPUP, "`%s' (%s)        \n//   ")
SETTEXT(CFG_SIGNAL1WAITTIME, "`%s' (%s)   ,   \n//         /, \n//    .\n//  - 0..254,  255 -  ")
SETTEXT(CFG_SIGNAL2WAITTIME, "`%s' (%s)   ,   \n//         /, \n//    .\n//  - 0..254,  255 -  ")
SETTEXT(CFG_DISASTERS, "`%s' (%s)   ,   .\n//  ,   - 255 ( )")
SETTEXT(CFG_FORCEAUTORENEW, "`%s' (%s)  ,   \n// (. `autorenew')")
SETTEXT(CFG_MORENEWS, "`%s' (%s)  /   \n// .  .  ")
SETTEXT(CFG_UNIFIEDMAGLEV, "`%s' (%s)    \n//     . : 1 -  \n//    ; 2 -   -\n//  ; 3 - -    ")
SETTEXT(CFG_BRIDGESPEEDS, "`%s' (%s)     - \n//     /    \n//        .\n//  %ld..%ld.   %ld%%")
SETTEXT(CFG_ETERNALGAME, "`%s' (%s)     2070 ")
SETTEXT(CFG_SHOWFULLDATE, "`%s' (%s)       ,\n//       ")
SETTEXT(CFG_NEWTRAINS, "`%s' (%s)       ")
SETTEXT(CFG_NEWRVS, "`%s' (%s)       ")
SETTEXT(CFG_NEWPLANES, "`%s' (%s)       \n// ")
SETTEXT(CFG_SIGNALSONTRAFFICSIDE, "`%s' (%s)  /     , \n//      ")
SETTEXT(CFG_ELECTRIFIEDRAIL, "`%s' (%s)     /  (- \n// )      / ")
SETTEXT(CFG_STARTYEAR, "`%s' (%s)    ' '  \n//         \n// .  %ld..%ld.   %ld")
SETTEXT(CFG_ERRORPOPUPTIME, "`%s' (%s)     \n//       .  1..255 ()\n//  0    .   10")
SETTEXT(CFG_TOWNGROWTHLIMIT, "`%s' (%s)  ,  \n//   .  %ld..%ld.   %ld")
SETTEXT(CFG_LARGERTOWNS, "`%s' (%s) ,     \n//     ' n-' (  \n// `towngrowthlimit').  %ld..%ld.   %ld ( )")
SETTEXT(CFG_MISCMODS, "`%s' (%s)      ,\n// . .  ,   0 (no modifications)")
SETTEXT(CFG_LOADALLGRAPHICS, "`%s' (%s)  TTDPatch   \n//  .grf-,    newgrf(w).cfg   ,\n//         ")
SETTEXT(CFG_SAVEOPTDATA, "`%s' (%s)  TTDPatch   \n//  ()     ")
SETTEXT(CFG_MOREBUILDOPTIONS, "`%s' (%s)    .\n//  ")
SETTEXT(CFG_SEMAPHORES, "`%s' (%s)   / ,   1975 ,\n//  ")
SETTEXT(CFG_MOREHOTKEYS, "`%s' (%s)   '' ")
SETTEXT(CFG_MANYTREES, "`%s' (%s)       ,\n//        Ctrl")
SETTEXT(CFG_MORECURRENCIES,"`%s' (%s)     \n//  .   .    0.")
SETTEXT(CFG_MANCONVERT,"`%s' (%s)     / \n//    ")
SETTEXT(CFG_NEWAGERATING, "`%s' (%s)       \n// .       21   3")
SETTEXT(CFG_ENHANCEGUI,"`%s' (%s)   .")
SETTEXT(CFG_TOWNGROWTHRATEMODE, "`%s' (%s)     \n//  . : 0 - , 2 - ,\n// 2 - . . ")
SETTEXT(CFG_TOWNGROWTHRATEMIN, "`%s' (%s) \n//    ,     .  \n//   `towngrowthratemode',  2.  %ld..%ld.\n//   %ld")
SETTEXT(CFG_TOWNGROWTHRATEMAX, "`%s' (%s) \n//    ,     .  \n//   `towngrowthratemode',  2.  %ld..%ld.\n//   %ld")
SETTEXT(CFG_TGRACTSTATIONEXIST, "`%s' (%s) \n//         \n// (. ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRACTSTATIONS, "`%s' (%s) ,\n//        \n// (. ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRACTSTATIONSWEIGHT, "`%s' (%s) \n//       \n// (. ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRPASSOUTWEIGHT, "`%s' (%s) \n//         \n// (. ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRMAILOUTWEIGHT, "`%s' (%s) \n//         \n// (. ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRPASSINMAX, "`%s' (%s) \n//      ,  \n//     (. ).   \n//  `towngrowthratemode',  2.\n//  %ld..%ld.   %ld")
SETTEXT(CFG_TGRPASSINWEIGHT, "`%s' (%s) \n//        \n//  (. ).    \n// `towngrowthratemode',  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRMAILINOPTIM, "`%s' (%s) \n//          \n// (. ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRMAILINWEIGHT, "`%s' (%s) \n//         \n// (. ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRGOODSINOPTIM, "`%s' (%s) \n//          \n// (. ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRGOODSINWEIGHT, "`%s' (%s)  \n//        \n// (. ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRFOODINMIN, "`%s' (%s)  \n//        ,\n//    2    (. ).  \n//   `towngrowthratemode',  2.\n//  %ld..%ld.   %ld")
SETTEXT(CFG_TGRFOODINOPTIM, "`%s' (%s)  \n//         \n// (. ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRFOODINWEIGHT, "`%s' (%s)  \n//        \n// (. ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRWATERINMIN, "`%s' (%s)  \n//        ,   \n//   (2000 )    (. ).\n//     `towngrowthratemode',  2.\n//  %ld..%ld.   %ld")
SETTEXT(CFG_TGRWATERINOPTIM, "`%s' (%s)  \n//      (2000 )    (\n//  ) (. ).   \n//  `towngrowthratemode',  2.\n//  %ld..%ld.   %ld")
SETTEXT(CFG_TGRWATERINWEIGHT, "`%s' (%s)  \n//          (\n//  ) (. ).   \n//  `towngrowthratemode',  2.\n//  %ld..%ld.   %ld")
SETTEXT(CFG_TGRSWEETSINOPTIM, "`%s' (%s)  \n//          ( \n// ) (. ).    \n// `towngrowthratemode',  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRSWEETSINWEIGHT, "`%s' (%s)  \n//         ( \n// ) (. ).    \n// `towngrowthratemode',  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRFIZZYDRINKSINOPTIM, "`%s' (%s)  \n//          (\n//  ) (. ).    \n// `towngrowthratemode',  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRFIZZYDRINKSINWEIGHT, "`%s' (%s) \n//        \n//   (  ) (. ).\n//     `towngrowthratemode',  2.\n//  %ld..%ld.   %ld")
SETTEXT(CFG_TGRTOWNSIZEBASE, "`%s' (%s)  \n//       `tgrtownsizefactor' (.\n// ).     `towngrowthratemode',\n//  2.  %ld..%ld.   %ld")
SETTEXT(CFG_TGRTOWNSIZEFACTOR, "`%s' (%s) , \n//        (. ).  \n//   `towngrowthratemode',  2.  %ld..%ld.\n//   %ld (..  25%%)")
SETTEXT(CFG_TOWNMINPOPULATIONSNOW, "`%s' (%s)  \n// ,         \n//   .    \n// `towngrowthratemode', `towngrowthlimit'  `generalfixes'.\n//  %ld..%ld.   %ld")
SETTEXT(CFG_TOWNMINPOPULATIONDESERT, "`%s' (%s) \n//  ,         \n//     .    \n// `towngrowthratemode', `towngrowthlimit'  `generalfixes'.\n//  %ld..%ld.   %ld")
SETTEXT(CFG_MORETOWNSTATS, "  `%s' (%s)     \n//  ")
SETTEXT(CFG_BUILDONSLOPES, "`%s' (%s)    , /\n//         ,\n//  ,      ")
SETTEXT(CFG_BUILDONCOASTS, "`%s' (%s)     \n//       ")
SETTEXT(CFG_TRACKTYPECOSTDIFF, "`%s' (%s)      \n// ")
SETTEXT(CFG_EXPERIMENTALFEATURES, "`%s' (%s)   \n//  ")
SETTEXT(CFG_PLANESPEED, "`%s' (%s)      ,\n//    ,  .\n//        5/8  ")
SETTEXT(CFG_FASTWAGONSELL, "`%s' (%s)      \n//   Ctrl")
SETTEXT(CFG_NEWRVCRASH,"`%s' (%s)   /     \n// . 1      ,\n// 2      .   1")
SETTEXT(CFG_STABLEINDUSTRY,"`%s' (%s)    , \n//  Economy ()   Difficulty settings ( )\n//   Steady ()")
SETTEXT(CFG_NEWPERF, "`%s' (%s)    ,    .")
SETTEXT(CFG_SORTVEHLIST, "`%s' (%s)        .        .      ,        .    10       TTD.  %ld..%ld.   %ld.")
SETTEXT(CFG_NEWSPAPERCOLOUR, "`%s' (%s)      .   %ld..%ld.    %ld.")
SETTEXT(CFG_SHAREDORDERS, "`%s' (%s)      .")
SETTEXT(CFG_SHOWPROFITINLIST, "`%s' (%s)        .")
SETTEXT(CFG_MORESTEAM, "`%s' (%s)   ( )  .    ,     ,   , 2      TTD. /  /      .   %02lx..%02lx.    %02lx.")
SETTEXT(CFG_ABANDONEDROADS, "`%s' (%s)         ,        ,      ,    .     ,     .   0     ,   1      ,      ,   2      .")
SETTEXT(CFG_NEWSTATIONS, "`%s' (%s)    .")
SETTEXT(CFG_BUILDWHILEPAUSED, "`%s' (%s)        .") 
SETTEXT(CFG_TRAINLOSTTIME, "`%s' (%s)         .  %ld..%ld.   %ld.") 
SETTEXT(CFG_RVLOSTTIME, "`%s' (%s)           .  %ld..%ld.   %ld.") 
SETTEXT(CFG_SHIPLOSTTIME, "`%s' (%s)         .  %ld..%ld.   %ld.") 
SETTEXT(CFG_AIRCRAFTLOSTTIME, "`%s' (%s)     -    .  %ld..%ld.   %ld.") 
SETTEXT(CFG_MAPREFRESH, "`%s' (%s)       TTD.           .    TTD 64.  %ld..%ld.   %ld.") 
SETTEXT(CFG_NETWORKTIMEOUT, "`%s' (%s)    ,        .  %ld..%ld.   %ld.") 
SETTEXT(CFG_TOYLANDFEATURES, "`%s' (%s)   ,        toyland,  .  .") 
SETTEXT(CFG_STRETCHWINDOW, "`%s' (%s)    TTD        (  Windows   TTD   ).  %ld..%ld.   %ld.") 
SETTEXT(CFG_CANALS, "`%s' (%s)        ` `      .") 
SETTEXT(CFG_FREIGHTTRAINS, "`%s' (%s)         ,      .      ,      .  %ld..%ld.   %ld.") 
SETTEXT(CFG_GAMESPEED, "`%s' (%s)     .       (hotkeys patch).  'q'     2  (  8 )  'w'  .     .  %ld..%ld.   %ld.") 
SETTEXT(CFG_HIGHERBRIDGES, "`%s' (%s)    .") 
SETTEXT(CFG_NEWGRFCFG, "`%s' (%s)       .") 
SETTEXT(CFG_MOUSEWHEEL, "`%s' (%s)          Windows. 0       (    ), 1    OpenTTD (   ,  ,   ).  2   ''  (    ).  4     ( Win95   ).  %ld..%ld.   %ld.") 
SETTEXT(CFG_MOREWINDOWS, "`%s' (%s)      .     TTD   10 ,  3    (  ,  ,  ),       7 .        .  %ld..%ld.   %ld.") 
SETTEXT(CFG_ENHANCEDDIFFICULTYSETTINGS, "'%s' (%s)   ' '      .") 
SETTEXT(CFG_NEWBRIDGES, "`%s' (%s)     .") 
SETTEXT(CFG_NEWHOUSES, "`%s' (%s)       .") 
SETTEXT(CFG_NEWTOWNNAMES, "`%s' (%s)            grf .") 
SETTEXT(CFG_MOREANIMATION, "`%s' (%s)    ,    .     TTD 256.  %ld..%ld.   %ld.") 
SETTEXT(CFG_NEWSHISTORY, "`%s' (%s)      .") 
SETTEXT(CFG_WAGONSPEEDLIMITS, "`%s' (%s)      .") 
SETTEXT(CFG_PATHBASEDSIGNALLING, "`%s' (%s)      (PBS).       ,      .") 
SETTEXT(CFG_CUSTOMBRIDGEHEADS, "`%s' (%s)    .") 
SETTEXT(CFG_TOWNBUILDNOROADS, "`%s' (%s)    .") 
SETTEXT(CFG_NEWCARGODISTRIBUTION, "`%s' (%s)   .") 
SETTEXT(CFG_WINDOWSNAP, "`%s' (%s)      .  %ld..%ld.   %ld.") 
SETTEXT(CFG_RESOLUTIONWIDTH, "`%s' (%s)      .") 
SETTEXT(CFG_RESOLUTIONHEIGHT, "`%s' (%s)      .") 
SETTEXT(CFG_AICHOOSECHANCES, "`%s' (%s) ,           (     1--- (1-railchance-rvchance-airchance)).") 
SETTEXT(CFG_AIBUILDRAILCHANCE, "`%s' (%s)        ,      .  %ld..%ld, 0=0%%, 65535=100%%.   %ld.") 
SETTEXT(CFG_AIBUILDRVCHANCE, "`%s' (%s)        ,      .  %ld..%ld, 0=0%%, 65535=100%%.   %ld.") 
SETTEXT(CFG_AIBUILDAIRCHANCE, "`%s' (%s)       -,      .  %ld..%ld, 0=0%%, 65535=100%%.   %ld.") 
SETTEXT(CFG_NEWINDUSTRIES, "`%s' (%s)      .") 
SETTEXT(CFG_LOCOMOTIONGUI, "`%s' (%s)          Locomotion.") 
SETTEXT(CFG_FIFOLOADING, "`%s' (%s)   FIFO.") 
SETTEXT(CFG_TEMPSNOWLINE, "`%s' (%s)        (  GRF     ).") 
SETTEXT(CFG_TOWNROADBRANCHPROB, "`%s' (%s)       . 0    , 65535 ,   ,   .     TTD 26214.  %ld..%ld.   %ld.") 
SETTEXT(CFG_NEWCARGOS, "`%s' (%s)     .") 
SETTEXT(CFG_ENHMULTI, "`%s' (%s)   ,    .") 
SETTEXT(CFG_ONEWAYROADS, "`%s' (%s)   .") 
SETTEXT(CFG_NEWSOUNDS, "`%s' (%s)         GRF .") 
SETTEXT(CFG_IRRSTATIONS, "`%s' (%s)     .") 
SETTEXT(CFG_MORESTATS, "`%s' (%s)     (        - enhancegui).") 
SETTEXT(CFG_AUTOREPLACE, "`%s' (%s)      ,      .  1..100,   80.") 
SETTEXT(CFG_AUTOSLOPE, "`%s' (%s)      .") 
SETTEXT(CFG_FOLLOWVEHICLE, "`%s' (%s)                     .") 
SETTEXT(CFG_TRAMS, "`%s' (%s)   .") 
SETTEXT(CFG_ENHANCETUNNELS, "`%s' (%s)       .")
SETTEXT(CFG_FORCEGAMEOPTIONS, "`%s' (%s)      .")

// ----------------------------------------------------
//  SWITCH DISPLAY ('-v')
// ----------------------------------------------------
// Wait for a key before displaying the switches 
SETTEXT(LANG_SWWAITFORKEY, "\n Enter   TTD, Escape  \n      ") 

// Introduction 
SETTEXT(LANG_SHOWSWITCHINTRO, "  : (%c , %c )\n") 

// Five characters: vertical line for the table; enabled switch; disabled switch; 
// table heading; table heading column separator. 
SETTEXT(LANG_SWTABLEVERCHAR, "&#x2502;*&#x2219;&#x2500;&#x252c;") 

// 1-way and 2-way captions after "New train wait time on red signals" 
SETTEXT(LANG_SWONEWAY, " : ") 
SETTEXT(LANG_SWTWOWAY, " : ") 

// Train wait time is either in days or infinite 
SETTEXT(LANG_TIMEDAYS, "%d ") 
SETTEXT(LANG_INFINITETIME, "") 

// Shows the keys to scroll the verbose switch table 
SETTEXT(LANG_SCROLLKEYS, " : Up Down PgUp PgDown Home End ") 

// ... and to abort TTDPatch 
SETTEXT(LANG_SCROLLABORTKEY, " Escape =  ") 

// Shows the load options for ttdload. %s is the given parameters to be passed to ttdload 
SETTEXT(LANG_SWSHOWLOAD, "Enter/Space =  \"TTDLOAD %s\"") 
SETTEXT(LANG_SWABORTLOAD, "Enter/Space =  \"TTDLOAD %s\"") 


// --------------------------------------- 
// STARTUP AND REPORTING 
// --------------------------------------- 
// Internal error in TTDPatch (%d is error number) 
SETTEXT(LANG_INTERNALERROR, "***   TTDPatch %d ***\n") 

// Error fixing the Windows version HDPath registry entry 
SETTEXT(LANG_REGISTRYERROR, "TTD    (  %d)\n") 

// Trying no-registry file 
SETTEXT(LANG_TRYINGNOREGIST, "  --  %s\n") 

// no-registry file failed 
SETTEXT(LANG_NOREGISTFAILED, " --  .\n") 

// DOS reports not enough memory available to start TTD 
SETTEXT(LANG_NOTENOUGHMEMTTD, "  ,   TTD,   %d KB .\n") 

// Other out-of-memory messages 
// %s is a function or variable name to identify where the memory allocation failed 
SETTEXT(LANG_NOTENOUGHMEM, "%s:   ,   %d KB .\n") 

// Swapping TTDPatch out 
SETTEXT(LANG_SWAPPING, "  .\n") 

// Just before running ttdload, show this. 1st %s is ttdload.ovl, 2nd is the options 
SETTEXT(LANG_RUNTTDLOAD, " %s%s%s\n") 

// Error executing ttdload. 1st %s is ttdload.ovl, 2nd %s is the error message from the OS 
SETTEXT(LANG_RUNERROR, "  %s: %s\n") 

// Failed to create the new process for ttdloadw.ovl 
SETTEXT(LANG_CRPROCESSFAIL, "  ") 

// Interprocess communication error: TTDPatchW seems to be already running 
SETTEXT(LANG_IPCEXISTS, "   TTDPatch  !\n") 

// Failed to convert language strings to Unicode 
SETTEXT(LANG_STRINGCONVFAIL, "      TTDPatch!\n") 

// Show the result after after running, %s is one of the following strings 
SETTEXT(LANG_RUNRESULT, ": [%s]\n") 
SETTEXT(LANG_RUNRESULTOK, "OK") 
SETTEXT(LANG_RUNRESULTERROR, "!") 


//--------------------------------------- 
// MESSAGES DISPLAYED BY TTDLOAD 
//--------------------------------------- 

// Messages in this category will have "TTDPatch: " prefixed and "\r\n" suffixed 
// when displayed by the DOS version. 

// Out of memory (in protected mode) 
SETTEXT(LANG_PMOUTOFMEMORY, "  !") 

// Interprocess communication failed (WinTTDX only) 
SETTEXT(LANG_PMIPCERROR, "  ")
